Fulfillment & ShippingOrders
Create shipment for an order
Creates a shipment when the order has exactly one fulfillment order; split orders must be shipped from fulfillment.
POST
/v1/orders/{orderId}/shipmentCreates a shipment when the order has exactly one fulfillment order; split orders must be shipped from fulfillment.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
orderId*string
Identifier of the order.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/orders/7204558912004325301/shipment" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "itemSelection": "all", "packageSelection": "automatic", "connectionSelection": "orderDefault", "packageId": "7204558912004325301", "shippingConnectionId": "7204558912004325301", "items": [ { "orderItemId": "7204558912004325301", "quantity": 1 } ] }'{ "success": false, "shipmentId": "7204558912004325301", "trackingNumber": "example", "trackingLink": "example", "labelUrl": "https://example.com/resource", "message": "example"}